/* Page styling */

html, body {
	height: 100%;
	margin: 0;
}

body {
	background: white;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
}

header {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 1rem 2rem;
	background: #333;
	color: white;
}

.header-left {
	display: flex;
	align-items: center;		/* Change to baseline if necessary */
	gap: 2rem;
}

header h1 {
	margin: 0;
}

header h1 a {
	color: white;
	text-decoration: none;
}

header h1 a:hover {
	text-decoration: underline;
}

nav ul {
	display: flex;
	gap: 1rem;
	list-style: none;
	margin: 0;
	padding: 0;
}

.main-nav a {
	font-size: 1.5rem;
	color: white;
	text-decoration: none;
	padding: 0;
}

.main-nav a:hover {
	text-decoration: underline;
}

.account-nav a {
	color: white;
	text-decoration: none;
	padding: 0.5rem 1rem;
}

.account-nav a:hover {
	background: #555;
	border-radius: 4px;
}

main {
	text-align: center;
	font-size: 20px;
	flex: 1;
}

footer {
	background: grey;
	text-align: center;
}


/* Album styling */

.album-grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, 200px);
	gap: 20px;
	justify-content: center;
}

.album-link {
	display: block;
	text-decoration: none;
	color: black;
}

.album-thumbnail {
	width: 200px;
	height: 200px;
	display: flex;
	justify-content: center;
	align-items: center;
}

.album-thumbnail img {
	max-width: 100%;
	max-height: 100%;
	object-fit: contain;
}

.album-name {
	text-align: center;
	margin-top: 8px;
}


/* Image styling */

.image-grid {
	display: grid;
	grid-template-columns: repeat(auto-fill, 200px);
	gap: 20px;
	justify-content: center;
}

.image-box {
	width: 200px;
	height: 200px;
}

.image-box img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

#lightbox {
	display: none;
	position: fixed;
	z-index: 1000;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0, 0, 0, 0.8);

	justify-content: center;
	align-items: center;
}

#lightbox img {
	max-width: 90%;
	max-height: 90%;
	object-fit: contain;
}

#lightbox button {
	position: absolute;
	top: 50%;
	transform: translateY(-50%);

	background: rgba(255,255,255,0.3);
	color: white;
	border: none;
	font-size: 40px;
	padding: 10px 20px;
	cursor: pointer;
}

#prev {
	left: 20px;
}

#next {
	right: 20px;
}